For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Talk to usGet started
OverviewAPI Reference
OverviewAPI Reference
  • API Reference
        • POSTCreate Session
        • POSTOrder Ride
Logo
Talk to usGet started
API ReferenceIntegrationsUber

Order Ride

POST
https://api.trykeet.com/v1/uber/ride
POST
/v1/uber/ride
$curl -X POST https://api.trykeet.com/v1/uber/ride \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "origin": {
> "addressLine1": "addressLine1",
> "addressLine2": "addressLine2"
> },
> "destination": {
> "addressLine1": "addressLine1",
> "addressLine2": "addressLine2"
> },
> "carType": "UberX"
>}'
1{
2 "status": "ok"
3}
Was this page helpful?
Previous

Create Session

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Account-TokenstringRequired
The account token that is associated with the end user linked to this account

Request

This endpoint expects an object.
originobjectRequired
destinationobjectRequired
carTypeenumRequired

Response

This endpoint returns an object.
statusenum
Allowed values:

Errors

400
Bad Request Error
401
Un Authorized Error
404
Not Found Error
500
Internal Server Error
500
Not Implemented Error